/*-
 * Copyright (C)2018 @BABOLO http://www.babolo.ru/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * 
 * $Id: csv2pg.h,v 1.6 2019/09/04 19:03:18 babolo Exp $
 * RFC 4180
 */

#define MIFE_COMPAT  5

typedef struct csv2pg_cf {
    BLIN_flag        flags;
#       define CVS2PG_QUOTE 0x000000FF
#       define CVS2PG_COMMA 0x0000FF00
#       define CVS2PG_UNEVA 0x00010000 /*        */
#       define CVS2PG_OVEVA 0x00020000 /*          */
#       define CVS2PG_COEOF 0x00040000 /*        */
#       define CVS2PG_RELAX 0x00080000 /*           */
#       define CVS2PG_WHENY 0x00100000 /*   stderr     */
#       define CVS2PG_XHEAD 0x00200000 /*           */
#       define CVS2PG_OHEAD 0x00400000 /*            */
#       define CVS2PG_SCEVA 0x00800000 /*    */
    BLIN_flag        throw;
#       define CVS2PG_THCUT 0x00020000 /*   (OVEVA)       */
#       define CVS2PG_THROW 0x00200000 /*   (XHEAD)       */
    int              fieldnom;
    int              tuplecount;
    int              dummy;
    int              dummy1;
    const char      *inname;
    mife_descriptor *mdi;
    mife_aout       *out;
} csv2pg_cf;
